# Gimp.Gradient.prototype.get_custom_samples

    function get_custom_samples(positions: Array(Number(gdouble)), reverse: Boolean): Array(Gegl.Color) {
        // Gjs wrapper for gimp_gradient_get_custom_samples()
    }

Sample the gradient in custom positions.

Samples the color of the gradient at positions from a list. The left endpoint of the gradient corresponds to position 0.0, and the right endpoint corresponds to 1.0. Returns a list of colors, one for each sample.

Since 2.2

positions

  The list of positions to sample along the gradient.

reverse

  Use the reverse gradient.

Returns

  Color samples. The returned value must be freed with Gimp.color_array_free.